Name:      zoo
Version:   2.10
Release:   8%{?dist}
Summary:   File archiving utility with compression

Group:     Applications/Archiving
License:   Distributable
# There is no zoo upstream anymore so let's not pretend we have an authoritative source
# This zoo.tar.gz archive was taken from opensuse
Source:    zoo.tar.gz
Patch0:    zoo.patch
Patch1:    zoo-%{version}-tempfile.patch
Patch2:    zoo-gcc.patch
Patch3:    zoo-%{version}-CAN-2005-2349.patch
Patch4:    zoo-return.patch
Patch5:    zoo-security_pathsize.patch
Patch6:    zoo-%{version}-febz-183426.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
zoo is a file archiving utility for maintaining collections of files.
It uses Lempel-Ziv compression to provide space savings in the
range of 20 to 80 percent depending on the type of data. Written by
Rahul Dhesi, and posted to the USENET newsgroup comp.sources.misc.


%prep
%setup -q -n %{name}
%patch0
%patch1 -p1
%patch2 -p1 -b .gcc4
%patch3 -b .can
%patch4
%patch5 -b .pathsize
%patch6 -p1 -b .febz183426


%build
make %{?_smp_mflags} OPTIM="%{optflags} -D__FORTIFY_SOURCE=2" linux


%install
rm -fr %{buildroot}
install -d -m 0755 %{buildroot}%{_bindir} \
        %{buildroot}%{_mandir}/man1

install -m 0755 fiz zoo %{buildroot}%{_bindir}/
install -m 0644 fiz.1 zoo.1 %{buildroot}%{_mandir}/man1/


%clean
rm -fr %{buildroot}


%files
%defattr(0644, root, root, 0755)
%doc %{_mandir}/man1/*
%attr(0755,root,root) %{_bindir}/*


%changelog
* Sat Mar 4 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.10-8
- force FORTIFY_SOURCE use one FC3

* Sat Mar 4 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.10-7
- rebase on OpenSuse 2.10-866 package as the OpenSuse team did some nice 
  cleanups
- drop our fix to CVE-2006-0855 for the OpenSuse one
- add bug #183109 fix

* Sun Feb 26 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.10-6
- apply preliminary patch for bug #183109 (just to be sure)

* Mon Feb 13 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.10-5
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jun 16 2005 Nicolas Mailhot <nicolas.mailhot at laposte.net> - 2.10-4
- rebuild with gcc 4.1

* Tue Apr 05 2005  Adrian Reber <adrian@lisas.de> - 2.10-3
- fix gcc4 errors

* Sun Apr 25 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> - 0:2.10-0.fdr.2
* Use debian source

* Tue Apr 20 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> - 0:2.10-0.fdr.1
* Fedorization

* Sat Dec 06 2003 Dag Wieers <dag@wieers.com> - 2.10-1
- Patch to build on RHFC1.

* Sun Jan 26 2003 Dag Wieers <dag@wieers.com> - 2.10-0
- Initial package. (using DAR)
